Bug 1032931 - dist-geo-rep: Metadata checksum of files in master and slave don't match after complete sync after upgrade
dist-geo-rep: Metadata checksum of files in master and slave don't match afte...
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
2.1
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
consistency
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 04:24 EST by M S Vishwanath Bhat
Modified: 2016-05-31 21:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 03:49:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2013-11-21 04:24:06 EST
Description of problem:
I was doing the upgrade testing by upgrading from RHS-2.1 to RHS-2.1 Update 1. And after upgrade of the whole cluster I switched from "rsync" syncing method to "tar+ssh" syncing method. And set a checkpoint. After it says checkpoint completed, I collected arequal-checksum from master and slave. The metadata checksum didn't match after sync.


Version-Release number of selected component (if applicable):
glusterfs-3.4.0.44rhs-1.el6rhs.x86_64

How reproducible:
Once hit. Haven't tried second time.

Steps to Reproduce:
1. Upgrade a geo-rep setup from RHS-2.1 to RHS-2.1 Update 1 bits.
2. After upgrade, keep creating the files from mount point
3. Create the new tar pem file using gsec_create once more
4. Now geo-rep create push-pem force
5. Now set the use-tarssh true. Now the gsyncd restarts.
6. Now after gsyncd is restarted, set the checkpoint to now. And wait for it to be completed.

Actual results:
Metadata checksums didn't match after upgrade.


[root@alvin ~]# cat /tmp/master-arequal-checksum 

Entry counts
Regular files   : 232670
Directories     : 11320
Symbolic links  : 5812
Other           : 0
Total           : 249802

Metadata checksums
Regular files   : 35a0
Directories     : 3e9
Symbolic links  : 3e9
Other           : 3e9

Checksums
Regular files   : 409ace6a7a883d5a4493ff0d35a8a9c4
Directories     : 42d5d66645b6570
Symbolic links  : 41530f524b577a5c
Other           : 0
Total           : 41776353602c8bb2



[root@alvin ~]# cat /tmp/slave-arequal-checksum 

Entry counts
Regular files   : 232670
Directories     : 11320
Symbolic links  : 5812
Other           : 0
Total           : 249802

Metadata checksums
Regular files   : 40cc
Directories     : 25fc
Symbolic links  : 3e9
Other           : 3e9

Checksums
Regular files   : 409ace6a7a883d5a4493ff0d35a8a9c4
Directories     : 42d5d66645b6570
Symbolic links  : 41530f524b577a5c
Other           : 0
Total           : 41776353602c8bb2




Expected results:
Metadata checksum should match.

Additional info:

I will archive all the relevant logs and working dirs
Comment 4 Aravinda VK 2015-11-25 03:49:23 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.
Comment 5 Aravinda VK 2015-11-25 03:51:03 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.

Note You need to log in before you can comment on or make changes to this bug.